/*********************************************************************************/
/********** THIS FILE IS GENERATED BY TOUCHGFX DESIGNER, DO NOT MODIFY ***********/
/*********************************************************************************/
#ifndef FRONTENDAPPLICATIONBASE_HPP
#define FRONTENDAPPLICATIONBASE_HPP

#include <mvp/MVPApplication.hpp>
#include <gui/model/Model.hpp>

class FrontendHeap;

class FrontendApplicationBase : public touchgfx::MVPApplication
{
public:
    FrontendApplicationBase(Model& m, FrontendHeap& heap);
    virtual ~FrontendApplicationBase() { }

    // MainMenu
    void gotoMainMenuScreenNoTransition();

    void gotoMainMenuScreenSlideTransitionNorth();


    // Graph
    void gotoGraphScreenSlideTransitionSouth();


    // CustomControls
    void gotoCustomControlsScreenSlideTransitionSouth();


    // EasingEquation
    void gotoEasingEquationScreenSlideTransitionSouth();


    // ProductPresenter
    void gotoProductPresenterScreenSlideTransitionSouth();

protected:
    touchgfx::Callback<FrontendApplicationBase> transitionCallback;
    FrontendHeap& frontendHeap;
    Model& model;

    // MainMenu
    void gotoMainMenuScreenNoTransitionImpl();

    void gotoMainMenuScreenSlideTransitionNorthImpl();


    // Graph
    void gotoGraphScreenSlideTransitionSouthImpl();


    // CustomControls
    void gotoCustomControlsScreenSlideTransitionSouthImpl();


    // EasingEquation
    void gotoEasingEquationScreenSlideTransitionSouthImpl();


    // ProductPresenter
    void gotoProductPresenterScreenSlideTransitionSouthImpl();
};

#endif // FRONTENDAPPLICATIONBASE_HPP
